de.caff.version

## Class SemVer.Prerelease.AlphanumericIdentifier

- java.lang.Object
- - de.caff.version.SemVer.Prerelease.AlphanumericIdentifier

- All Implemented Interfaces:
    SemVer.Prerelease.Identifier, java.lang.Comparable<SemVer.Prerelease.Identifier>
  Enclosing class:
    SemVer.Prerelease

      public static class SemVer.Prerelease.AlphanumericIdentifier
      extends java.lang.Object
      implements SemVer.Prerelease.Identifier

  Alphanumeric identifier.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlphanumericIdentifier(java.lang.String id)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(SemVer.Prerelease.AlphanumericIdentifier identifier)` Compare this to an alphanumeric identifier.
    `int` | `compareTo(SemVer.Prerelease.Identifier o)`
    `int` | `compareTo(SemVer.Prerelease.NumericIdentifier identifier)` Compare this to a numeric identifier.
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getId()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AlphanumericIdentifier

          public AlphanumericIdentifier(@NotNull
                                        java.lang.String id)

      Constructor.
      Parameters:
        `id` - alphanumeric ID

  - ### Method Detail

    - #### getId

          @NotNull
          public java.lang.String getId()

    - #### compareTo

          public int compareTo(@NotNull
                               SemVer.Prerelease.NumericIdentifier identifier)

      Description copied from interface: `SemVer.Prerelease.Identifier`
      Compare this to a numeric identifier.
      Specified by:
        `compareTo` in interface `SemVer.Prerelease.Identifier`
      Parameters:
        `identifier` - numeric identifier
      Returns:
        negative if `this < identifier`,
        positive if `this > identifier`, and
        `0` if (@code this == identifier}

    - #### compareTo

          public int compareTo(@NotNull
                               SemVer.Prerelease.AlphanumericIdentifier identifier)

      Description copied from interface: `SemVer.Prerelease.Identifier`
      Compare this to an alphanumeric identifier.
      Specified by:
        `compareTo` in interface `SemVer.Prerelease.Identifier`
      Parameters:
        `identifier` - alphanumeric identifier
      Returns:
        negative if `this < identifier`,
        positive if `this > identifier`, and
        `0` if (@code this == identifier}

    - #### compareTo

          public int compareTo(@NotNull
                               SemVer.Prerelease.Identifier o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<SemVer.Prerelease.Identifier>`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`